SeExpr

Functions
/build/seexpr/src/SeExpr/src/SeExpr2/CMakeLists.txt File Reference

## Functions
| file (GLOB io_cpp "*.cpp") file(GLOB to_remove "ExprLLVMCodeGeneration.cpp") list(REMOVE_ITEM io_cpp $
| set_source_files_properties ("ExprBuiltins.cpp" PROPERTIES COMPILE_DEFINITIONS "__STDC_LIMIT_MACROS") include_directories($
| find_program (BISON_EXE bison) find_program(FLEX_EXE flex) find_program(SED_EXE sed) if((BISON_EXE STREQUAL "BISON_EXE-NOTFOUND") OR(FLEX_EXE STREQUAL "FLEX_EXE-NOTFOUND") OR(SED_EXE STREQUAL "SED_EXE-NOTFOUND")) set(parser_cpp generated/ExprParser.cpp generated/ExprParserLex.cpp) else() add_custom_command(SOURCE "ExprParserLex.l" COMMAND "flex" ARGS "-oExprParserLexIn.cpp" "$
ExprParserLex l OUTPUT ExprParserLexIn cpp DEPENDS ExprParserLex l | add_custom_command (SOURCE "ExprParserLexIn.cpp" COMMAND "sed" ARGS -e "'s/SeExprwrap(n)/SeExprwrap()/g'" -e "'s/yy/SeExpr2/g'" -e "'s/YY/SeExprYY/g'" ExprParserLexIn.cpp|tee ExprParserLex.cpp ${CMAKE_CURRENT_SOURCE_DIR}/generated/ExprParserLex.cpp >/dev/null OUTPUT ExprParserLex.cpp DEPENDS ExprParserLexIn.cpp) add_custom_command(SOURCE "ExprParser.y" COMMAND "bison" ARGS "--defines" "--verbose" "--fixed-output-files" "-p" "SeExpr2" "$
ExprParser y OUTPUT y tab c y tab h DEPENDS ExprParser y | add_custom_command (SOURCE "y.tab.h" COMMAND "sed" ARGS -e "'s/yy/SeExpr2/g'" -e "'s/YY/SeExprYY/g'" y.tab.h|tee ExprParser.tab.h ${CMAKE_CURRENT_SOURCE_DIR}/generated/ExprParser.tab.h >/dev/null OUTPUT ExprParser.tab.h DEPENDS y.tab.h) add_custom_command(SOURCE "y.tab.c" COMMAND "sed" ARGS -e "'s/yy/SeExpr2/g'" -e "'s/YY/SeExprYY/g'" y.tab.c|tee ExprParser.cpp "$
generated ExprParser cpp dev null OUTPUT ExprParser cpp DEPENDS y tab c ExprParser tab h | set (parser_cpp ExprParser.cpp ExprParserLex.cpp) endif() file(GLOB llvm_cpp "*.cpp") if(NOT WIN32) add_library(SeExpr2 SHARED $

## Function Documentation

## ◆ add_custom_command() [1/2]

ExprParserLex l OUTPUT ExprParserLexIn cpp DEPENDS ExprParserLex l add_custom_command | ( | SOURCE "ExprParserLexIn.cpp" COMMAND "sed" ARGS -e "'s/SeExprwrap(n)/SeExprwrap()/g'" -e "'s/yy/SeExpr2/g'" -e "'s/YY/SeExprYY/g'" ExprParserLexIn.cpp|tee ExprParserLex.cpp ${CMAKE_CURRENT_SOURCE_DIR}/generated/ExprParserLex. | cpp,
|  | /dev/null OUTPUT ExprParserLex.cpp DEPENDS ExprParserLexIn. | cpp
| ) |  |

Definition at line 50 of file CMakeLists.txt.

## ◆ add_custom_command() [2/2]

ExprParser y OUTPUT y tab c y tab h DEPENDS ExprParser y add_custom_command | ( | SOURCE "y.tab.h" COMMAND "sed" ARGS -e "'s/yy/SeExpr2/g'" -e "'s/YY/SeExprYY/g'" y.tab.h|tee ExprParser.tab.h ${CMAKE_CURRENT_SOURCE_DIR}/generated/ExprParser.tab. | h,
|  | /dev/null OUTPUT ExprParser.tab.h DEPENDS y.tab. | h
| ) |  |

Definition at line 64 of file CMakeLists.txt.

## ◆ file()

file | ( | GLOB io_cpp "*.cpp" |  | ) |

Definition at line 17 of file CMakeLists.txt.

Referenced by ExprBrowser::getExpressionDirs(), ExprBrowser::handleSelection(), ExprBrowser::saveExpression(), ExprBrowser::saveExpressionAs(), and ExprBrowser::saveLocalExpressionAs().

## ◆ find_program()

find_program | ( | BISON_EXE | bison | ) |

Definition at line 31 of file CMakeLists.txt.

## ◆ set()

generated ExprParser cpp dev null OUTPUT ExprParser cpp DEPENDS y tab c ExprParser tab h set | ( | parser_cpp ExprParser.cpp ExprParserLex. | cpp | ) |

Definition at line 79 of file CMakeLists.txt.

## ◆ set_source_files_properties()

set_source_files_properties | ( | "ExprBuiltins.cpp" PROPERTIES COMPILE_DEFINITIONS "__STDC_LIMIT_MACROS" |  | ) |

Definition at line 21 of file CMakeLists.txt.